﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace AtNetWeb.Controllers
{
    public class ContentController : Controller
    {
        // GET: Content
        public ActionResult Xml()
        {
            MemoryStream xmlStream = new MemoryStream();

            StreamWriter sw = new StreamWriter(xmlStream);
            sw.WriteLine("<?xml version=\"1.0\" encoding=\"UTF-8\"?>");
            sw.WriteLine("<root>");
            sw.WriteLine("</root>");
            sw.Flush();

            xmlStream.Seek(0, SeekOrigin.Begin);
            return new FileStreamResult(xmlStream, "application/xml");
        }

        public ActionResult Json()
        {

            return new JsonResult() {
                JsonRequestBehavior = JsonRequestBehavior.AllowGet,
                Data = new {
                    Name = "Car",
                    Price = 10000
                }
            };

        }
    }
}